Multiorders currently supports Magento 2.3

Did this answer your question?